//fOR TEMPGRAPHTRIAL

#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// Initialize the LCD, address 0x27, 16 chars x 2 lines
LiquidCrystal_I2C lcd(0x27, 16, 2);

// Pin connected to LM35
const int lm35Pin = A0;

void setup() {
  Serial.begin(9600); // For Bluetooth communication
  lcd.begin();        // Initialize the LCD
  lcd.backlight();    // Turn on the backlight
}

void loop() {
  // Read the analog value from LM35
  int analogValue = analogRead(lm35Pin);

  // Convert to voltage (assuming 5V and 10-bit ADC)
  float voltage = analogValue * (5.0 / 1023.0);

  // Convert voltage to temperature in Celsius
  float temperatureC = voltage * 100;

  // Send temperature via Serial (Bluetooth)
  Serial.println((int)temperatureC);

  // Display temperature on LCD
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Temp: ");
  lcd.print(temperatureC, 1); // Show 1 decimal place
  lcd.print(" C");

  delay(1000);  // Update every 1 second
}
